﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using C1.C1Rdl.Rdl2008;
using C1.C1Preview;

namespace LoadRdlReport
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            C1RdlReport rdlrpt = new C1RdlReport();
            rdlrpt.Load(@"..//..//Nice1_StandardGroups.rdl");
            rdlrpt.Render();

            C1PrintDocument pdoc = rdlrpt.C1Document;
            var ms = new MemoryStream();
            pdoc.Export(ms, C1.C1Preview.Export.ExportProviders.PdfExportProvider);

            ms.Seek(0, SeekOrigin.Begin);   
            rv.LoadDocument(ms); 
         
        }
    }
}
